<?php

	

		$tpl_contacto			= modulo_html(TEMPLATE_DIR.'/confirmar-pago.tpl');

		$tpl->assign("FORMULARIO", $tpl->fetch('string:'.$tpl_contacto));

		

if ((isset($_POST['email'])))

{

	

	

				$query = "SELECT 

						  sitios.id,

						  sitios.email,

						  sitios.smtp_password,

						  sitios.smtp_puerto,

						  sitios.smtp_servidor,

						  sitios.titulo,

						  sitios.dominio,

						  sitios.smtp_user,

						  sitios.template

						FROM

						 sitios

				WHERE sitios.id = '".SITIO_ID."'";

			

			$smtp = $engine->DB->QueryToArray($query);



							/***VARIABLES POR POST ***/

							

							$vals = count($_POST);

							$tags = array_keys($_POST); // obtiene los nombres de las varibles

							$valores = array_values($_POST);// obtiene los valores de las varibles

							

							// crea las variables y les asigna el valor

							

																	

							for($i=0;$i<$vals;$i++){

								$$tags[$i]=$valores[$i]; 

								$tpl->assign($tags[$i], stripslashes(strip_tags($valores[$i])));

							}

							

								$tpl_contacto_mail 		= modulo_html(TEMPLATE_DIR.'/confirmar-pago_mail.tpl');

								$tpl_contacto_confirm 	= modulo_html(TEMPLATE_DIR.'/confirmar-pago_confirm.tpl');

		

								$form_send = $tpl->fetch('string:'.$tpl_contacto_mail);

								$autoreply = $tpl->fetch('string:'.$tpl_contacto_confirm);

								

		require ($_SERVER['DOCUMENT_ROOT'].'/classes/class.phpmailer.php');



		$sitio_titulo	= $smtp[0]['titulo'];

		$host_url 		= $smtp[0]['smtp_servidor'];

		$host_puerto 	= $smtp[0]['smtp_puerto'];

		$host_user 		= $smtp[0]['email'];

		$host_password 	= $smtp[0]['smtp_password'];

				

		$mail = new PHPMailer();

		

		$mail->IsSMTP(); // telling the class to use SMTP

		$mail->Host       = $host_url; // SMTP server

		$mail->SMTPDebug  = 1;                     // enables SMTP debug information (for testing)

												   // 1 = errors and messages		

		$mail->Mailer		= "smtp";

		$mail->Helo 		= 'hyperion.afterfuture.net'; //Muy importante para que llegue a hotmail y otros

		$mail->From			= $host_user;

		$mail->FromName		= $sitio_titulo.'<'.$host_user.'>';



		$mail->SMTPAuth   = true;                  // enable SMTP authentication

		$mail->SMTPSecure = "ssl";                 // sets the prefix to the servier

		$mail->Host       = $host_url;     		   // sets GMAIL as the SMTP server

		$mail->Port       = $host_puerto;          // set the SMTP port for the GMAIL server

		$mail->Username   = $host_user;  		   // GMAIL username

		$mail->Password   = $host_password;        // GMAIL password

		

		$mail->SetFrom($host_user, $sitio_titulo);

		

		$mail->AddReplyTo($mail_contacto, $nombre);

		

		$mail->Subject    = utf8_decode("Confirmación de pago por: ".utf8_decode($nombre)."");

		

		$mail->AltBody    = "Para ver este mensaje, por favor utilice visualizador compatible con HTML!"; // optional, comment out and test

		

		$mail->MsgHTML(utf8_decode($form_send));

		

		$mail->AddAddress($host_user, $sitio_titulo);

		

		

		if(!$mail->Send()) {

		  echo "Mailer Error: " . $mail->ErrorInfo;

		} else {

		  

				$mail2 = new PHPMailer();

				

				$mail2->IsSMTP(); // telling the class to use SMTP

				$mail2->Host       = $host_url; // SMTP server

				$mail2->SMTPDebug  = 1;                     // enables SMTP debug information (for testing)

															// 1 = errors and messages

															// 2 = messages only

				

				$mail2->Mailer		= "smtp";

				$mail2->Helo 		= 'hyperion.afterfuture.net'; //Muy importante para que llegue a hotmail y otros

				$mail2->From			= $host_user;

				$mail2->FromName		= $sitio_titulo.'<'.$host_user.'>';

				

				$mail2->SMTPAuth   = true;                  // enable SMTP authentication

				$mail2->SMTPSecure = "ssl";                 // sets the prefix to the servier

				$mail2->Host       = $host_url;     		// sets GMAIL as the SMTP server

				$mail2->Port       = $host_puerto;          // set the SMTP port for the GMAIL server

				$mail2->Username   = $host_user;  		    // GMAIL username

				$mail2->Password   = $host_password;        // GMAIL password

				

				$mail2->SetFrom($host_user, $sitio_titulo);

				

				$mail2->AddReplyTo($host_user, $sitio_titulo);

				

				$mail2->Subject    = utf8_decode("Confirmación de pago");

				

				$mail->AltBody    = "Para ver este mensaje, por favor utilice visualizador compatible con HTML!"; // optional, comment out and test

				

				$mail2->MsgHTML(utf8_decode($autoreply));

				

				$mail2->AddAddress($email, $nombre);

				

				

				if(!$mail2->Send()) {

				  echo "Mailer Error: " . $mail2->ErrorInfo;

				} else {

				  echo "Message sent!";

				  exit;

				}

		}}



?>

{$FORMULARIO}